## org.eclipse.datatools.modelbase.sql.query
Interface QueryValues

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

    public interface QueryValues

extends QueryExpressionBody

A representation of the model object 'Values'.

The following features are supported:

- `Values Row List`

See Also:
  `SQLQueryModelPackage.getQueryValues()`

Method Summary
`org.eclipse.emf.common.util.EList` `getValuesRowList()` Returns the value of the 'Values Row List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getQueryNest, getRowFetchLimit, getSortSpecList, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setQueryNest, setRowFetchLimit, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getMergeTargetTable, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setMergeTargetTable, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getMergeSourceTable, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setMergeSourceTable, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValuesRowList

    org.eclipse.emf.common.util.EList getValuesRowList()

  Returns the value of the 'Values Row List' containment reference list. The list contents are of type `ValuesRow`. It is bidirectional and its opposite is '`Query Values`'.

  If the meaning of the 'Values Row List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Values Row List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQueryValues_ValuesRowList()`, `ValuesRow.getQueryValues()`